const COLORS = {
  WHITE: '#FFFFFF',
  BLACK: '#000000',
  GREY: '#898989',
  THEME: '#B23AFC',
  PRIMARY: '#0b83e6',
  PRIMARY_LIGHT: '#72A2FF',
  INFO: '#B23AFC',
  ERROR: '#FE2472',
  WARNING: '#FF9C09',
  SUCCESS: '#0EB118',
  TRANSPARENT: 'transparent',
  INPUT: '#808080',
  PLACEHOLDER: '#9FA5AA',
  NAVBAR: '#F9F9F9',
  BLOCK: '#808080',
  MUTED: '#9FA5AA',
  NEUTRAL: 'rgba(255,255,255, 0.65)',
  FACEBOOK: '#3B5998',
  TWITTER: '#5BC0DE',
  DRIBBBLE: '#EA4C89',
  ICON: '#000000',
  TEXT: '#555555',
  BORDER: '#e9e9e9',

  //READONLY_BORDER: '#b9bac4', #72A2FF
  READONLY_BORDER: 'white',
  EDITABLE_BORDER: '#b9bac4',
  READONLY_BACKGROUND: '#EFEFEF',
  EDITABLE_BACKGROUND: 'white',
};

const getColorNameToColor = (colorName = "") => {
  if(colorName.toUpperCase() in COLORS) {
    return COLORS[colorName.toUpperCase()];
  } else {
    return colorName;
  }
};

const defaultTheme = {
  Input: {
    containerStyle: {
      borderWidth: 1,
      borderRadius: 8,
      marginTop: 5,
      marginBottom: 5,
      borderColor: COLORS.PRIMARY,
    },
    inputContainerStyle: {
      borderBottomWidth: 0
    },
    placeholderTextColor: COLORS.PRIMARY_LIGHT
  },
  Button: {
    buttonStyle: {
      backgroundColor: COLORS.PRIMARY,
      borderRadius: 8,
    }
  },
  COLORS: COLORS,
  getColorNameToColor,
  Fonts: {
    Black: 'NotoSansCJKkr-Black',
    Bold: 'NotoSansCJKkr-Bold',
    DemiLight: 'NotoSansCJKkr-DemiLight',
    Light: 'NotoSansCJKkr-Light',
    Medium: 'NotoSansCJKkr-Medium',
    Regular: 'NotoSansCJKkr-Regular',
    Thin: 'NotoSansCJKkr-Thin',

    RobotoBlack: 'Roboto-Black',
    RobotoBold: 'Roboto-Bold',
    RobotoLight: 'Roboto-Light',
    RobotoMedium: 'Roboto-Medium',
    RobotoRegular: 'Roboto-Regular',
    RobotoThin: 'Roboto-Thin',
  },
  WorkTypeName: {
    '정기점검': '정기',
    '법정검사': '법정',
    '수시점검': '수시',
    '공사작업': '공사',
    '법정교육': '교육',
    '': '',
  },
  WorkTypeColor: {
    '정기점검': '#0b83e6',
    '법정검사': '#0eb118',
    '수시점검': '#ffb801',
    '공사작업': '#f2335c',
    '법정교육': '#7112FF',
    '': '#0b83e6',
  },
  WorkProgressName: {
    '작업계획': '계획',
    '작업반려': '반려',
    '작업대기': '대기',
    '작업진행': '진행',
    '작업진행(승인대기)': '진행',
    '작업완료': '완료',
    '작업승인': '승인',
    '작업보류': '보류',
    '': '',
  },
  WorkProgressColor: {
    '작업계획': '#0b83e6',
    '작업반려': '#f2335c',
    '작업대기': '#0eb118',
    '작업진행': 'tomato',
    '작업진행(승인대기)': '#FF5026',
    '작업완료': 'dimgray',
    '작업승인': 'black',
    '작업보류': '#483D8B',
    '': '#0b83e6',
  },
};
export default defaultTheme;